'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var shopifyAppSessionStorage = require('@shopify/shopify-app-session-storage');

class MySqlSessionStorageMigrator extends shopifyAppSessionStorage.RdbmsSessionStorageMigrator {
  constructor(dbConnection, opts = {}) {
    super(dbConnection, opts);
  }
  async initMigrationPersistence() {
    const discardCreateTable = await this.connection.hasTable(this.options.migrationDBIdentifier);
    if (!discardCreateTable) {
      const migration = `
      CREATE TABLE ${this.options.migrationDBIdentifier} (
        ${this.getOptions().migrationNameColumnName} varchar(255) NOT NULL PRIMARY KEY
    );`;
      await this.connection.query(migration, []);
    }
  }
}

exports.MySqlSessionStorageMigrator = MySqlSessionStorageMigrator;
